import { Component } from '@angular/core'
import { UserConsent } from '../consentDeclaration'
import { ApiService, GroupedConsentHistory } from '../../services/api.service'



@Component({
  selector: 'consent-history',
  templateUrl: 'consent-history.component.html',
  styleUrls: ['./consent-history.component.scss']
})
export class ConsentHistoryComponent {
  protected consentHistory: GroupedConsentHistory[] = [];
  constructor(_apiService: ApiService) {
    _apiService.getUserConsentHistory().subscribe(history => {
      this.consentHistory = history.groups
    })
  }
}
